--- 4.4.5/exim.conf-SpamBlockerTechnology-v4.4.5.txt	2016-10-05 02:32:17.000000000 -0500
+++ 4.4.6/exim.conf-SpamBlockerTechnology-v4.4.6.txt	2016-10-12 17:30:11.000000000 -0500
@@ -1,4 +1,4 @@
-# SpamBlockerTechnology* powered exim.conf, Version 4.4.5
+# SpamBlockerTechnology* powered exim.conf, Version 4.4.6
 # Dec 5, 2015
 # Exim configuration file for DirectAdmin
 # Requires exim.pl as distributed by DirectAdmin here:
@@ -153,6 +153,8 @@
 hostlist whitelist_hosts = nwildlsearch;/etc/virtual/whitelist_hosts
 hostlist whitelist_hosts_ip = /etc/virtual/whitelist_hosts_ip
 BLACKLIST_USERNAMES = /etc/virtual/blacklist_usernames
+BLACKLIST_SMTP_USERNAMES = /etc/virtual/blacklist_smtp_usernames
+BLACKLIST_SCRIPT_USERNAMES = /etc/virtual/blacklist_script_usernames
 
 #EDIT#15:
 #domainlist skip_av_domains = nwildlsearch;/etc/virtual/skip_av_domains
@@ -284,7 +286,12 @@
   discard condition = ${if !eq{$originator_uid}{$exim_uid}}
           condition = ${if exists{BLACKLIST_USERNAMES}}
           condition = ${lookup{$acl_m_username}lsearch{BLACKLIST_USERNAMES}{1}{0}}
-          message = USER_ON_BLACKLIST_SCRIPT
+          message = USER_ON_BLACKLIST_SCRIPT BLACKLIST_USERNAMES
+
+  discard condition = ${if !eq{$originator_uid}{$exim_uid}}
+          condition = ${if exists{BLACKLIST_SCRIPT_USERNAMES}}
+          condition = ${lookup{$acl_m_username}lsearch{BLACKLIST_SCRIPT_USERNAMES}{1}{0}}
+          message = USER_ON_BLACKLIST_SCRIPT BLACKLIST_SCRIPT_USERNAMES
 
   .include_if_exists /etc/exim.blockcracking/script.conf
 
@@ -330,6 +337,15 @@
         message = USER_ON_BLACKLIST_SMTP
         logwrite = User account $acl_m_username is blocked via BLACKLIST_USERNAMES
 
+  drop  authenticated = *
+        condition = ${if exists{BLACKLIST_SMTP_USERNAMES}}
+        set acl_m_uid = ${perl{find_uid_auth_id}{$authenticated_id}}
+        set acl_m_username = ${perl{get_username}{$acl_m_uid}}
+        condition = ${if !eq {$acl_m_uid}{-1}{yes}{no}}
+        condition = ${lookup{$acl_m_username}lsearch{BLACKLIST_SMTP_USERNAMES}{1}{0}}
+        message = USER_ON_BLACKLIST_SMTP
+        logwrite = User account $acl_m_username is blocked via BLACKLIST_SMTP_USERNAMES
+
   accept  condition = ${if eq{$acl_m_is_whitelisted}{1}{1}{0}}
 
   #Block Cracking - https://github.com/Exim/exim/wiki/BlockCracking
